Version:	2.30.1.0
Release:	1%{?_dist_release}

Summary:	Several non-core plugins for anjuta
Name:		anjuta-extras
Source0:	%{name}-%{version}.tar.bz2
License:	GPL2
Group:		Applications/Development
URL: 		http://projects.gnome.org/anjuta/
Summary(ja):	anjutaのいくつかの外部プラグイン

Requires: 	anjuta
Requires:	libgnomecanvas
Requires:	valgrind
Requires:	graphviz
BuildRequires:	anjuta-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	valgrind
# binutils-devel for valgrind
BuildRequires:	binutils-devel
BuildRequires:	graphviz-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi


%description
anjuta-extras package includes class-inheritance, valgrind, profiler and
scintilla plugin.

%description -l ja
anjuta-extrasパッケージは、クラスの継承、valgrind、プロファイラおよび
scintillaプラグインを含んでいます。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

# remove no install files

rm -f $RPM_BUILD_ROOT%{_libdir}/anjuta/libanjuta-*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/anjuta/libanjuta-*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/anjuta-*.schemas > /dev/null

%preun
if [ $1 = 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/anjuta-*.schemas > /dev/null
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/anjuta-*.schemas
%{_libdir}/anjuta/anjuta-*.plugin
%{_libdir}/anjuta/libanjuta-*.so*
%{_libdir}/anjuta/profiler.plugin
%{_datadir}/anjuta/glade/*.ui
%{_datadir}/anjuta/glade/*.png
%{_datadir}/anjuta/properties/*.properties
%{_datadir}/anjuta/ui/anjuta-sample.ui
%{_datadir}/anjuta/ui/anjuta-valgrind.xml
%{_datadir}/anjuta/ui/profiler.xml
%{_datadir}/pixmaps/anjuta/anjuta-*.png
%{_datadir}/pixmaps/anjuta/anjuta-*.svg


%changelog
* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1.0-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Fri Feb 26 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-2
- rebuild with anjuta-2.28.2.0

* Thu Nov 05 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-1
- first packaging.

